Index: Singular/LIB/redcgs.lib
===================================================================
--- Singular/LIB/redcgs.lib	(revision fba86f89b3458187b40c5f0d5f6408412d98d295)
+++ Singular/LIB/redcgs.lib	(revision 7d56875cf7720719f5b6acd193768a4d5b57848f)
@@ -3789,5 +3789,5 @@
            3) the rest of vertices labelled with more indices.
           Description of the root. Vertex type 1)
-           There is a special vertex (the first one) whose content is 
+           There is a special vertex (the first one) whose content is
            the following:
              [3] lpp of the given ideal
@@ -3811,26 +3811,26 @@
           with an odd number of integers in the label are to be considered as
           substraction. As an example consider the following vertices:
-          v1=((i),2,lpp,B), 
-          v2=((i,1),2,P_{(i,1)}), 
+          v1=((i),2,lpp,B),
+          v2=((i,1),2,P_{(i,1)}),
           v3=((i,1,1),0,P_{(i,1,1)}, v4=((i,1,2),0,P_{(i,1,1)}),
-          v5=((i,2),2,P_{(i,2)},  
+          v5=((i,2),2,P_{(i,2)},
           v6=((i,2,1),0,P_{(i,2,1)}, v7=((i,2,2),0,P_{(i,2,2)}
           They represent the segment:
-          (V(i,1)\(V(i,1,1) u V(i,1,2))) u 
+          (V(i,1)\(V(i,1,1) u V(i,1,2))) u
           (V(i,2)\(V(i,2,1) u V(i,2,2)))
-          where V(i,j,..) = V(P_{(i,j,..)}          
+          where V(i,j,..) = V(P_{(i,j,..)}
 NOTE:     There are three fundamental routines in the library: mrcgs, rcgs and crcgs.
           crcgs (Canonical Reduced CGS) is an algorithm that first homogenizes the
-          the given ideal then applies mrcgs and finally de-homogenizes 
+          the given ideal then applies mrcgs and finally de-homogenizes
           and reduces the resulting bases. (See the note of mrcgs).
           As a result of Wibmer's Theorem, the resulting segments are
           locally closed (i.e. difference of varieties) and the partition is
-          canonical as the homogenized ideal is uniquely associated to the given 
+          canonical as the homogenized ideal is uniquely associated to the given
           ideal not depending of the given basis.
-          
+
           Nevertheless the computations to do are usually more time consuming
           and so it is preferable to compute first the rcgs and only if
           it success you can try crcgs.
-          
+
           The output can be visualized using cantreetoMaple, that will
           write a file with the content of crcgs that can be read in Maple
@@ -3882,5 +3882,5 @@
   def Jp=idint(Np,Mp);
   setring(RR);
-  return(imap(@P,Jp));  
+  return(imap(@P,Jp));
 }
 
@@ -3905,5 +3905,5 @@
           output where each segment corresponds to a single element of the list
           that is described as difference of two varieties.
-          
+
           The first element of the list is identical to the first element
           of the list provided by the corresponding cgs algorithm, and
@@ -3916,5 +3916,5 @@
            [4]; the ideal of the second variety (radical)
           The segment is V([3]) \ V([4]).
-          
+
 NOTE:     It can be called from the output of mrcgs or rcgs of crcgs
 KEYWORDS: mrcgs, rcgs, crcgs, Maple
@@ -3947,10 +3947,10 @@
       v=tree(intvec(i,j),L);
       Nn=v[1][3];
-      N=idintR(N,Nn); 
+      N=idintR(N,Nn);
       for (k=1;k<=v[1][2];k++)
       {
         w=tree(intvec(i,j,k),L);
         Mn=w[1][3];
-        M=idintR(M,Mn); 
+        M=idintR(M,Mn);
       }
     }
@@ -3964,6 +3964,6 @@
     MP=gbR(MP);
     setring(RR);
-    N=imap(@P,NP);     
-    M=imap(@P,MP);     
+    N=imap(@P,NP);
+    M=imap(@P,MP);
     LL[i+1]=list(u[1][3],u[1][4],N,M);
   }
@@ -3977,5 +3977,5 @@
   T;
   cantreetoMaple(T,"Tc","Tc.txt");
-  cantodiffcgs(T);  
+  cantodiffcgs(T);
 }
 
Index: Singular/LIB/sing.lib
===================================================================
--- Singular/LIB/sing.lib	(revision fba86f89b3458187b40c5f0d5f6408412d98d295)
+++ Singular/LIB/sing.lib	(revision 7d56875cf7720719f5b6acd193768a4d5b57848f)
@@ -1,7 +1,7 @@
-// $Id: sing.lib,v 1.31 2008-09-24 07:54:59 Singular Exp $
+// $Id: sing.lib,v 1.32 2008-10-09 09:31:58 Singular Exp $
 //(GMG/BM, last modified 26.06.96,
 //GMG, 27.7.08: in milnor printlevel und Ausschrift gendert)
 ///////////////////////////////////////////////////////////////////////////////
-version="$Id: sing.lib,v 1.31 2008-09-24 07:54:59 Singular Exp $";
+version="$Id: sing.lib,v 1.32 2008-10-09 09:31:58 Singular Exp $";
 category="Singularities";
 info="
@@ -11,5 +11,5 @@
 
 PROCEDURES:
- codim(id1, id2);       vector space dimension of of id2/id1 if finite
+ codim(id1, id2);       vector space dimension of id2/id1 if finite
  deform(i);             infinitesimal deformations of ideal i
  dim_slocus(i);         dimension of singular locus of ideal i
